/**
 * 阿里云oss配置
 * */

import Util from '@/libs/util'
import router from '@/router'
import Setting from '@/setting'
export default async function () {
  try {
    let RE = localStorage.getItem('osc')
    if (RE) {
      RE = JSON.parse(RE)
    } else {
      Util.local.remove(Setting.storeKey)
      Util.session.remove(Setting.tokenKey)
      Util.errorMsg('登录过期，请重新登录！')
      router.replace({
        path: '/login'
      })
    }
    return RE ? {
      // oss账号信息
      config: {
        region: 'oss-cn-shenzhen',
        accessKeyId: RE[0],
        accessKeySecret: RE[1],
        bucket: 'huoran'
      },
      // 上传成功url前置部分（成功回调没有返回url）
      preUrl: 'https://huoran.oss-cn-shenzhen.aliyuncs.com/'
    } : {}
  } catch (e) { }
}