/**
 * 读取./modules下的所有js文件并注册模块
 */
const requireModule = require.context('./modules', false, /\.js$/)
const modules = []
requireModule.keys().forEach(fileName => {
  modules.push(requireModule(fileName).default)
})
const frameIn = [
  {
    path: '/',
    redirect: location.host.includes('occupationlab.com') ? '/index' : '/index/zxy'
  },
  ...modules
];

/**
 * 在主框架之外显示
 */

const frameOut = [
  // 登录
  {
    path: "/login",
    name: "login",
    meta: {
      title: "登录"
    },
    component: () => import("@/pages/account/login")
  },
  {
    path: "/redirect",
    name: "redirect",
    meta: {
      title: "登录"
    },
    component: () => import("@/pages/account/redirect")
  },
  {
    path: '/join',
    component: () => import('@/pages/join'),
    meta: { title: '城市合伙人运营管理平台' }
  },
  {
    path: '/join/success',
    component: () => import('@/pages/join/success'),
    meta: { title: '城市合伙人运营管理平台' }
  },
];

/**
 * 错误页面
 */

const errorPage = [
  {
    path: "/403",
    name: "403",
    meta: {
      title: "403"
    },
    component: () => import("@/pages/exception/error/403")
  },
  {
    path: "*",
    name: "404",
    meta: {
      title: "404"
    },
    component: () => import("@/pages/exception/error/404")
  }
];

// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
  ...frameIn,
  ...frameOut,
  ...errorPage
];