const Setting = require("./src/setting.env");

const timeStamp = new Date().getTime();
module.exports = {
    lintOnSave: true,
    css: {
        loaderOptions: {
            sass: {
                prependData: `@import "@/styles/var.scss";`
            }
        }
    },
    publicPath: Setting.publicPath,
    outputDir: Setting.outputDir,
    assetsDir: Setting.assetsDir,
    devServer: {
			disableHostCheck: true,
      // client: {
      //   webSocketURL: 'ws://0.0.0.0:8082/notice',
      // },
      port: 8082 // 固定端口
    },
		configureWebpack: {
			output: {
				// 把应用打包成umd库格式
				library:'myLibrary',
				// 输出重构  打包编译后的文件名称  【模块名称.时间戳】
				filename: `[name].${timeStamp}.js`,
				libraryTarget:'umd',
				globalObject:'this',
			},
		},
		productionSourceMap: false,
		chainWebpack: config => {
			config.module
				.rule("images")
				.use("image-webpack-loader")
				.loader("image-webpack-loader")
				.options({ bypassOnDebug: true })
				.end();
		}
};